Subject: bug#8706: 24.0.50; [PATCH] Function to build a URL query-string

From: Ted Zlatanov <[email-masked]>
Date: Sat, 11 Jun 2011 05:29:32 -0500

On Sat, 11 Jun 2011 08:32:14 +0200 Deniz Dogan <[email-masked]> wrote: 

DD> On 2011-06-11 03:15, Ted Zlatanov wrote:
>> (second try for this, the first one I posted through Gmane disappeared)
>> 
>> Attached is a patch which:
>> 
>> - adds optional SEMICOLONS and KEEP-EMPTY to `url-build-query-string' to
>> separate parameters with semicolons and to keep empty values
>> 

DD> Why semicolons?  Wouldn't it be more appropriate to have SEPARATOR as
DD> an optional argument instead?

URL query paramaters can only be separated by "&" and ";" and "&" is the
default :)

Ted